Page MenuHomePhabricator

(tools.taxonbot) Error: 503, Service Unavailable at Tue, 19 Jan 2016 22:59:53 GMT
Closed, InvalidPublic

Description

tools.taxonbot

Error report during running the script catstruct.tcl in the tcl shell and abandoning it. Error: 503, Service Unavailable at Tue, 19 Jan 2016 22:59:53 GMT. Possibly server problems?
I get this error report several times a day.
I already have talked about this with YuviPanda in irc chat.

/ format json / maxlag 5 / action query / prop revisions / rvprop content / rvlimit 1 / list categorymembers / cmpageid 704903 / cmtype subcat / cmlimit max
<!DOCTYPE html>
<html lang=en>
<meta charset=utf-8>
<title>Wikimedia Error</title>
<style>
* { margin: 0; padding: 0; }
body { background: #fff; font: 15px/1.6 sans-serif; color: #333; }
.content { margin: 7% auto 0; padding: 2em 1em 1em; max-width: 560px; }
.footer { clear: both; margin-top: 14%; border-top: 1px solid #e5e5e5; background: #f9f9f9; padding: 2em 0; font-size: 0.8em; text-align: center; }
img { float: left; margin: 0 2em 2em 0; }
a img { border: 0; }
h1 { margin-top: 1em; font-size: 1.2em; }
p { margin: 0.7em 0 1em 0; }
a { color: #0645AD; text-decoration: none; }
a:hover { text-decoration: underline; }
code { font-family: sans-serif; }
.text-muted { color: #777; }
</style>
<div class="content" role="main">
<a href="//www.wikimedia.org"><img src="data:image/png;base64,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" srcset="//www.wikimedia.org/static/images/wmf-2x.png 2x" alt=Wikimedia width=135 height=135></a>
<h1>Error</h1>
<p>Our servers are currently experiencing a technical problem. This is probably temporary and should be fixed&nbsp;soon.<br>Please <a href="" title="Reload this page" onclick="window.location.reload(false); return false">try again</a> in a few&nbsp;minutes.</p>
</div>
<div class="footer">
<p>If you report this error to the Wikimedia System Administrators, please include the details below.</p>
<p class="text-muted"><code>
Request from 10.64.0.105 via cp1053 cp1053 ([10.64.32.105]:3128), Varnish XID 2516565913<br>Forwarded for: 10.68.17.228, 10.64.0.105, 10.64.0.105<br>Error: 503, Service Unavailable at Tue, 19 Jan 2016 22:59:53 GMT
</code></p></div></html>
missing value to go with key

Event Timeline

doctaxon assigned this task to yuvipanda.
doctaxon raised the priority of this task from to High.
doctaxon updated the task description. (Show Details)
doctaxon added a project: Toolforge.
doctaxon added a subscriber: doctaxon.
Restricted Application added a project: Cloud-Services. · View Herald TranscriptJan 19 2016, 11:35 PM
Restricted Application added subscribers: Luke081515, Aklapper. · View Herald Transcript
yuvipanda removed yuvipanda as the assignee of this task.Jan 19 2016, 11:36 PM
yuvipanda added a subscriber: yuvipanda.

This looks like an issue on the mediawiki side perhaps?

But the script is running on tools.taxonbot ...

Giftpflanze added a subscriber: Giftpflanze.

This error originates from the Wikimedia API.

(tools.taxonbot)

Here one more, running the script c-uncat.tcl by grid engine, error report in combined .out and .err file c-uncat.out
It occured between 19.01.2016 07:41 and 07:49 UTC

/ format json / maxlag 5 / action parse / page {File:Defense.gov photo essay 101122-M-3860M-073.jpg} / prop templates
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/2002/REC-xhtml1-20020801/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
 <head>
  <title>Wikimedia Error</title>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
  <meta name="author" content="Mark Ryan, with translation by many people; see http://meta.wikimedia.org/wiki/Multilingual_error_messages"/>
  <meta name="copyright" content="(c) 2005-2007 Mark Ryan and others. Text licensed under the GNU Free Documentation License. http://www.gnu.org/licenses/fdl.txt"/>

  <style type="text/css"><!--
   body {
     background-color: #dbe5df;
     font-family: "Gill Sans MT", "Gill Sans", "Trebuchet MS", Helvetica, sans-serif;
     margin-left: 0px;
     margin-right: 0px;
    }
   .TechnicalStuff {
     font-style: italic;
     text-align: center;
     font-size: 0.8em;
     padding-bottom: 0.8em;
    }
   .BottomStrip {
     background: #9fbfd8;
     text-align: center;
     font-size: 0.85em;
    }
   .RightToLeft {
     direction: rtl;
    }
   .Lines {
     width: 100%;
     height: 1px;
     overflow: hidden;
     font-size: 0.5px;
    }
   .ContentArea {
     background-color: white;
     padding-left: 10%;
     padding-right: 10%;
     padding-top: 0.8em;
     font-size: 1.0em;
    }
   a:hover {
     color: red;
    }
   a.BottomLinks {
     color: #000000;
     text-decoration: none;
    }
   a.BottomLinks:hover {
     color: red;
     text-decoration: none;
    }
   h1, h2 {
     margin: 0px;
     font-size: 1.0em;
    }
   h3.LanguageHeading {
     font-weight: bold
    }
   #ErrorTitleDiv {
     background: #9fbfd8;
     font-size: 1.2em;
     font-weight: bold;
     text-align: center;
    }
   #FoundationNameDiv {
     background: #dbe5df;
     font-size: 1.5em;
     font-family: "Gill Sans MT", "Gill Sans", Helvetica, Humanist, sans-serif;
     font-weight: bold;
     text-transform: uppercase;
     text-align: center;
     width: 100%;
     padding-top:0.8em;
    }
   #TopLinks {
     text-align: center;
     font-size: 0.8em
    }
   -->
  </style>

  <script type="text/javascript"><!-- Begin

   // The first column of this array is for the local language name of the Wikimedia Foundation
   // ('Wikimedia Foundation' should be used for all Latin-based languages)
   // The second column of the array is the localised language word for 'Error'.
   var LanguageDetails = new Array();
   LanguageDetails['ar'] = new Array( "مؤسسة ويكيميديا", "خطأ" );
   LanguageDetails['cs'] = new Array( "Wikimedia Foundation", "Chyba" );
   LanguageDetails['da'] = new Array( "Wikimedia Foundation", "Fejl" );
   LanguageDetails['de'] = new Array( "Wikimedia Foundation", "Fehler" );
   LanguageDetails['el'] = new Array( "Ίδρυμα Wikimedia", "Σφάλμα" );
   LanguageDetails['en'] = new Array( "Wikimedia Foundation", "Error" );
   LanguageDetails['es'] = new Array( "Wikimedia Foundation", "Error" );
   LanguageDetails['et'] = new Array( "Wikimedia Foundation", "Viga" );
   LanguageDetails['fa'] = new Array( "بنیاد ویکی‌مدیا", "خطا" );
   LanguageDetails['fi'] = new Array( "Wikimedia Foundation", "Virhe" );
   LanguageDetails['fr'] = new Array( "Wikimedia Foundation", "Erreur" );
   LanguageDetails['he'] = new Array( "קרן ויקימדיה", "שגיאה" );
   LanguageDetails['id'] = new Array( "Wikimedia Foundation", "Error" );
   LanguageDetails['it'] = new Array( "Wikimedia Foundation", "Errore" );
   LanguageDetails['ja'] = new Array( "ウィキメディア財団", "エラー" );
   LanguageDetails['ko'] = new Array( "위키미디어 재단", "오류" );
   LanguageDetails['no'] = new Array( "Wikimedia Foundation", "Feil" );
   LanguageDetails['nl'] = new Array( "Wikimedia Foundation", "Fout" );
   LanguageDetails['pl'] = new Array( "Wikimedia Foundation", "Błąd" );
   LanguageDetails['pt'] = new Array( "Wikimedia Foundation", "Erro" );
   LanguageDetails['ro'] = new Array( "Wikimedia Foundation", "Eroare" );
   LanguageDetails['ru'] = new Array( "Фонд Викимедиа", "Ошибка" );
   LanguageDetails['sr'] = new Array( "Задужбина Викимедија", "Грешка" );
   LanguageDetails['sv'] = new Array( "Wikimedia Foundation", "Fel" );
   LanguageDetails['th'] = new Array( "มูลนิธิวิกิมีเดีย", "เกิดความผิดพลาด" );
   LanguageDetails['tr'] = new Array( "Wikimedia Foundation", "Hata" );
   LanguageDetails['vi'] = new Array( "Wikimedia Foundation", "Lỗi" );
   LanguageDetails['zh-Hant'] = new Array( "維基媒體基金會", "錯誤" );
   LanguageDetails['zh-Hans'] = new Array( "维基媒体基金会", "错误" );

   function ShowLanguage(WhichLanguage){

     // Set the localised language version of the Wikimedia Foundation heading and page title
     document.getElementById('FoundationName').innerHTML = LanguageDetails[WhichLanguage][0]
     document.title = LanguageDetails[WhichLanguage][1] + ' - ' + LanguageDetails[WhichLanguage][0]

     // Set the localised language version of the heading word for 'error'
     document.getElementById('ErrorName').innerHTML = LanguageDetails[WhichLanguage][1]

     for (var LanguageAbbr in LanguageDetails) {

      // The following arrangement attempts to minimise the number of document modifications made when switching languages

      if (LanguageAbbr != WhichLanguage && document.getElementById(LanguageAbbr).style.display == '') {
        // This bit kicks in for each inactive language during the initial page collapse, and on a language when switching away from that language
        document.getElementById(LanguageAbbr).style.display = 'none' // hide the inactive language section
        document.getElementById(LanguageAbbr + '_link').style.fontWeight = '' //unbolden its language link
        document.getElementById(LanguageAbbr + '_head').style.display = 'none' // hide its language heading
       }
      else if (LanguageAbbr == WhichLanguage && document.getElementById(LanguageAbbr).style.display == 'none') {
        // This bit kicks in for the new active language only when switching to it from a different language (i.e. not during initial page collapse)
        document.getElementById(WhichLanguage).style.display = '' // show the active language section
        document.getElementById(WhichLanguage + '_link').style.fontWeight = 'bold' // bolden the active language link
       }
      else if (LanguageAbbr == WhichLanguage && document.getElementById(LanguageAbbr).style.display == '') {
        // This bit kicks in during initial page collapse with the active language, and when you attempt to switch to the currently-visible language
        document.getElementById(WhichLanguage + '_link').style.fontWeight = 'bold' // bolden the active language link
        document.getElementById(LanguageAbbr + '_head').style.display = 'none' // hide its language heading
       }

     }


    }

   function Startup(){

     // Hide the top links bar, which is only there for navigation when there's no javascript
     document.getElementById('TopLinks').style.display = 'none'

     // Look at the current URL, and if it matches an available language, show that. E.g. fr.wiktionary.org -> show 'fr'
     var CurrentLocation = new String(window.location.href)
     var CurrentSubdomain = CurrentLocation.slice(CurrentLocation.lastIndexOf('//') + 2, CurrentLocation.indexOf('.'))
     for (var LanguageAbbr in LanguageDetails) {
       if (LanguageAbbr == CurrentSubdomain) {
         ShowLanguage(LanguageAbbr);
         return;
        }
      }

     // If it is a hyphenated language code in the URL, try to go to its root language
     if (CurrentSubdomain.indexOf('-') != -1) {
       var RootLanguage = CurrentSubdomain.slice(0, CurrentSubdomain.indexOf('-'))
       for (var LanguageAbbr in LanguageDetails) {
         if (LanguageAbbr == RootLanguage) {
           ShowLanguage(LanguageAbbr);
           return;
          }
        }
      }

     // If it's secure.wikimedia.org, look later in the URL for the language code
     if (CurrentSubdomain == 'secure') {
       var SecureSubdomain = CurrentLocation.split('/')
       for (var LanguageAbbr in LanguageDetails) {
         if (LanguageAbbr == SecureSubdomain[4]) {
           ShowLanguage(LanguageAbbr);
           return;
          }
        }
      }

     // Attempt to detect the user's browser or system language using browser-specific methods, and use that if it matches an available language
     if (navigator.userLanguage) var language = navigator.userLanguage // use the user's preferred language (non-Gecko)
     else if (navigator.appName == 'Netscape') var language = navigator.language // use the only language information available to Gecko
     else var language = navigator.browserLanguage // get the browser language information in non-Gecko browsers (IE, Opera, Konqueror)
     // Compare the returned language against the list of languages on the error page
     for (var LanguageAbbr in LanguageDetails) {
       if (language.indexOf(LanguageAbbr) != -1) {
         ShowLanguage(LanguageAbbr);
         return;
        }
      }

     // Show English as a fail-all
     ShowLanguage('en');

    }

   function RefreshPage(){

     // Refresh the page, preferably from cache, upon someone clicking 'try again'
     window.location.reload(false)

    }

   // End -->
  </script>

 </head>

 <body link="#24442E" text="#000000" vlink="#24442E" alink="#FF0000" onload="Startup();">

  <!-- Wikimedia Foundation title -->
  <div id="FoundationNameDiv">
   <h1 id="FoundationName">Wikimedia Foundation</h1>
  </div>

  <!-- Shadow-style gradient -->
  <div class="Lines" style="background-color:#ccd4cf;"></div>
  <div class="Lines" style="background-color:#bdc3bf;"></div>
  <div class="Lines" style="background-color:#adb1af;"></div>
  <div class="Lines" style="background-color:#9ea09f;"></div>
  <div class="Lines" style="background-color:#dbe5df;"></div>

  <!-- 'Error' title -->
  <div id="ErrorTitleDiv">
   <h2 id="ErrorName">Error</h2>
  </div>

  <!-- This section of language links shows at the top of the page for navigation only when javascript is not available. -->
  <div id="TopLinks">

   <!-- Shadow-style gradient -->
   <div class="Lines" style="background-color:#9d9fa1;"></div>
   <div class="Lines" style="background-color:#a8aeb4;"></div>
   <div class="Lines" style="background-color:#b4bec6;"></div>
   <div class="Lines" style="background-color:#c0ced8;"></div>

   <a href="#Arabic" class="BottomLinks" onclick="ShowLanguage('ar')">العربية</a>
   <a href="#Indonesian" class="BottomLinks" onclick="ShowLanguage('id')">Bahasa Indonesia</a>
   <a href="#Czech" class="BottomLinks" onclick="ShowLanguage('cs')">Česky</a>
   <a href="#Danish" class="BottomLinks" onclick="ShowLanguage('da')">Dansk</a>
   <a href="#German" class="BottomLinks" onclick="ShowLanguage('de')">Deutsch</a>
   <a href="#Estonian" class="BottomLinks" onclick="ShowLanguage('et')">Eesti</a>
   <a href="#Greek" class="BottomLinks" onclick="ShowLanguage('el')">Ελληνικά</a>
   <a href="#English" class="BottomLinks" onclick="ShowLanguage('en')">English</a>
   <a href="#Spanish" class="BottomLinks" onclick="ShowLanguage('es')">Español</a>
   <a href="#Persian" class="BottomLinks" onclick="ShowLanguage('fa')">فارسی</a>
   <a href="#French" class="BottomLinks" onclick="ShowLanguage('fr')">Français</a>
   <a href="#Hebrew" class="BottomLinks" onclick="ShowLanguage('he')">עברית</a>
   <a href="#Italian" class="BottomLinks" onclick="ShowLanguage('it')">Italiano</a>
   <a href="#Japanese" class="BottomLinks" onclick="ShowLanguage('ja')">日本語</a>
   <a href="#Korean" class="BottomLinks" onclick="ShowLanguage('ko')">한국어</a>
   <br/>
   <a href="#Dutch" class="BottomLinks" onclick="ShowLanguage('nl')">Nederlands</a>
   <a href="#Norwegian" class="BottomLinks" onclick="ShowLanguage('no')">Norsk (Bokmål)</a>
   <a href="#Polish" class="BottomLinks" onclick="ShowLanguage('pl')">Polski</a>
   <a href="#Portuguese" class="BottomLinks" onclick="ShowLanguage('pt')">Português</a>
   <a href="#Romanian" class="BottomLinks" onclick="ShowLanguage('ro')">Română</a>
   <a href="#Russian" class="BottomLinks" onclick="ShowLanguage('ru')">Русский</a>
   <a href="#Serbian" class="BottomLinks" onclick="ShowLanguage('sr')">Српски</a>
   <a href="#Finnish" class="BottomLinks" onclick="ShowLanguage('fi')">Suomi</a>
   <a href="#Swedish" class="BottomLinks" onclick="ShowLanguage('sv')">Svenska</a>
   <a href="#Thai" class="BottomLinks" onclick="ShowLanguage('th')">ไทย</a>
   <a href="#Vietnamese" class="BottomLinks" onclick="ShowLanguage('vi')">Tiếng Việt</a>
   <a href="#Turkish" class="BottomLinks" onclick="ShowLanguage('tr')">Türkçe</a>
   <a href="#TraditionalChinese" class="BottomLinks" onclick="ShowLanguage('zh-Hant')">繁體中文</a>
   <a href="#SimplifiedChinese" class="BottomLinks" onclick="ShowLanguage('zh-Hans')">简体中文</a>
  </div>

  <!-- Shadow-style gradient -->
  <div class="Lines" style="background-color:#8f8f8f"></div>
  <div class="Lines" style="background-color:#acacac"></div>
  <div class="Lines" style="background-color:#c6c6c6"></div>
  <div class="Lines" style="background-color:#dbdbdb"></div>
  <div class="Lines" style="background-color:#eaeaea"></div>
  <div class="Lines" style="background-color:#f4f4f4"></div>


  <!-- BEGIN CONTENT AREA -->
  <div class="ContentArea">

   <div id="en" lang="en">
    <h3 id="en_head" class="LanguageHeading">
     <a name="English">English</a>
    </h3>
	<p>Our servers are currently experiencing a technical problem. This is probably temporary and should be fixed soon. Please <a href="javascript:" onclick="RefreshPage(); return false">try again</a> in a few minutes.</p>
    <p>You may be able to get further information in the <a href="irc://chat.freenode.net/wikipedia">#wikipedia</a> channel on the <a href="//www.freenode.net">Freenode IRC network</a>.</p>
    <p>The Wikimedia Foundation is a non-profit organisation which hosts some of the most popular sites on the Internet, including Wikipedia. It has a constant need to purchase new hardware. If you would like to help, please <a href="//wikimediafoundation.org/wiki/Fundraising">donate</a>.</p>
    <hr noshade="noshade" size="1px" width="80%" />
    <div class="TechnicalStuff">
     If you report this error to the Wikimedia System Administrators, please include the details below.<br/>
    </div>
   </div>

   <div id="ar" lang="ar" class="RightToLeft">
    <div id="ar_head">
     <hr noshade="noshade" size="1px" width="100%"/>
     <h3 class="LanguageHeading">
      <a name="Arabic">
       العربية
      </a>
     </h3>
    </div>
    <p>تواجه خوادمنا الآن مشاكل تقنية. هذا في الأغلب بشكل مؤقت ومتوقع إصلاحه قريبا. من فضلك <a href="javascript:" onclick="RefreshPage(); return false">عاود التحميل</a> بعد دقائق قليلة.</p>
    <p>يمكنك الحصول على معلومات أكثر في <a href="irc://irc.freenode.net/wikipedia">#ويكيبيديا</a> على <a href="//www.freenode.net/">شبكة الآي‌آر‌سي فري‌نود</a>.</p>
    <p>مؤسسة ويكيميديا والتي تستضيف بعضا من أشهر مواقع الإنترنت مثل ويكيبيديا الموسوعة الحرة، هي منظمة غير هادفة للربح. تحتاج المنظمة دائما عتاد جديد للحاسوب بشكر مستمر فإن أردت المساعدة، من فضلك <a href="//wikimediafoundation.org/wiki/%D8%AC%D9%85%D8%B9_%D8%AA%D8%A8%D8%B1%D8%B9%D8%A7%D8%AA">تبرع لأجل منظمة ويكيميديا</a>.</p>
    <hr noshade="noshade" size="1px" width="80%" />
    <div class="TechnicalStuff" style="font-style:normal">
     إذا أردت إبلاغ هذا الخطأ إلى إداريي ويكيميديا، من فضلك ضمن التفاصيل بالأسفل.<br/>
    </div>
   </div>

   <div id="cs" lang="cs">
    <div id="cs_head">
     <hr noshade="noshade" size="1px" width="100%"/>
     <h3 class="LanguageHeading">
      <a name="Czech">
       Česky
      </a>
     </h3>
    </div>
    <p>Naše servery mají momentálně technické problémy. Pravděpodobně se jedná o dočasnou závadu, která by měla být brzy opravena. Prosíme, zkuste za několik minut <a href="javascript:" onclick="RefreshPage(); return false">stránku nahrát znovu</a>.</p>
    <p>Další informace lze získat na IRC kanálu <a href="irc://chat.freenode.net/wikipedia-cs">#wikipedia-cs</a> v <a href="//www.freenode.net">síti FreeNode</a>.</p>
    <p>Wikimedia Foundation je nezisková organizace, která spravuje některé z nejpopulárnějších serverů na internetu, včetně Wikipedie. Neustále potřebuje nakupovat nové hardwarové vybavení. Pokud byste chtěli pomoct, <a href="//wikimediafoundation.org/wiki/Sponzorstv%C3%AD">přispějte</a>.</p>
    <hr noshade="noshade" size="1px" width="80%" />
    <div class="TechnicalStuff">
     Pokud hlásíte tuto chybu administrátorům systémů Wikimedia, prosíme připojte následující podrobnosti.<br/>
    </div>
   </div>

   <div id="da" lang="da">
    <div id="da_head">
     <hr noshade="noshade" size="1px" width="100%"/>
     <h3 class="LanguageHeading">
      <a name="Danish">
       Dansk
      </a>
     </h3>
    </div>
    <p>Wikimedia Foundations servere har i øjeblikket tekniske problemer. <a href="javascript:" onclick="RefreshPage(); return false">Prøv venligst igen</a> om få minutter.</p>
    <p>For nærmere information kan du besøge <a href="//www.freenode.net">FreeNode</a> IRC kanalen <a href="irc://chat.freenode.net/wikipedia-da">#wikipedia-da</a>.</p>
    <p>Hvis du er interesseret i at hjælpe nonprofitorganisationen Wikimedia, så <a href="//wikimediafoundation.org/wiki/Indsamling">giv et bidrag</a> i dag.</p>
    <hr noshade="noshade" size="1px" width="80%" />
    <div class="TechnicalStuff">
     Hvis du rapporterer denne fejl til Wikimedias systemadministratorer, så vedlæg venligst de detaljerede oplysninger herunder.<br/>
    </div>
   </div>

   <div id="de" lang="de">
    <div id="de_head">
     <hr noshade="noshade" size="1px" width="100%"/>
     <h3 class="LanguageHeading">
      <a name="German">
       Deutsch
      </a>
     </h3>
    </div>
    <p>Bei den Servern der Wikimedia Foundation sind gerade technische Probleme aufgetreten. Bitte versuche es in ein paar Minuten <a href="javascript:" onclick="RefreshPage(); return false">noch einmal</a>.</p>
    <p>Genauere Informationen gibt es im Channel <a href="irc://chat.freenode.net/wikipedia-de">#wikipedia-de</a> des IRC-Netzwerkes <a href="//www.freenode.net">Freenode</a>.</p>
    <p>Wenn du Wikimedia Deutschland e.V. und der Wikimedia Foundation helfen möchtest, kannst du dies mit <a href="//wikimediafoundation.org/wiki/Spenden">einer Spende</a> tun.</p>
    <hr noshade="noshade" size="1px" width="80%" />
    <div class="TechnicalStuff">
     Wenn du einem Wikimedia-Systemadministrator diesen Fehler meldest, gib bitte die folgenden Details an.<br/>
    </div>
   </div>

   <div id="el" lang="el">
    <div id="el_head">
     <hr noshade="noshade" size="1px" width="100%"/>
     <h3 class="LanguageHeading">
      <a name="Greek">
       Ελληνικά
      </a>
     </h3>
    </div>
    <p>Οι διακομιστές μας αυτή την στιγμή παρουσιάζουν ένα τεχνικό πρόβλημα. Αυτό είναι πιθανά προσωρινό και θα διορθωθεί σύντομα. Παρακαλούμε <a href="javascript:" onclick="RefreshPage(); return false">δοκιμάστε ξανά</a> σε λίγα λεπτά.</p>
    <p>Μπορεί να λάβετε περισσότερες πληροφορίες στο κανάλι <a href="irc://chat.freenode.net/wikipedia">#wikipedia</a> στο <a href="//www.freenode.net">δίκτυο IRC Freenode</a>.</p>
    <p>Το Ίδρυμα Wikimedia είναι ένας μη κερδοσκοπικός οργανισμός που φιλοξενεί ορισμένους από τους πιο δημοφιλής ιστότοπους στο διαδίκτυο συμπεριλαμβάνοντας την Βικιπαίδεια. Βρίσκεται σε μόνιμη ανάγκη αγοράς νέου hardware. Εάν θέλετε να βοηθήσετε παρακαλούμε <a href="//wikimediafoundation.org/wiki/Δωρεές">κάντε μια δωρεά</a>.</p>
    <hr noshade="noshade" size="1px" width="80%"/>
    <div class="TechnicalStuff">
     Εάν αναφέρετε αυτό το σφάλμα στου Διαχειριστές Συστημάτων του Wikimedia, παρακαλούμε συμπεριλάβετε τις παρακάτω πληροφορίες.<br/>
    </div>
   </div>

   <div id="es" lang="es">
    <div id="es_head">
     <hr noshade="noshade" size="1px" width="100%"/>
     <h3 class="LanguageHeading">
      <a name="Spanish">
       Español
      </a>
     </h3>
    </div>
    <p>Los servidores de la Fundación Wikimedia están teniendo dificultades técnicas. Este problema es temporal y esperamos arreglarlo cuanto antes. Por favor intenta <a href="javascript:" onclick="RefreshPage(); return false">acceder nuevamente</a> dentro de unos minutos.</p>
    <p>Puedes obtener más información en el canal <a href="irc://chat.freenode.net/wikipedia-es">#wikipedia-es</a> de la red IRC <a href="//www.freenode.net">FreeNode</a>.</p>
    <p>La Fundación sin ánimo de lucro Wikimedia aloja algunos de los sitios más visitados en Internet, incluyendo Wikipedia, y necesita comprar hardware nuevo constantemente. Si deseas ayudarnos, haz por favor <a href="//wikimediafoundation.org/wiki/Donaciones">una donación</a>.</p>
    <hr noshade="noshade" size="1px" width="80%"/>
    <div class="TechnicalStuff">
     Si informas de este error a los administradores del sistema, por favor indica los detalles siguientes.<br/>
    </div>
   </div>

   <div id="et" lang="et">
    <div id="et_head">
     <hr noshade="noshade" size="1px" width="100%"/>
     <h3 class="LanguageHeading">
      <a name="Estonian">
       Eesti
      </a>
     </h3>
    </div>
    <p>Wikimedia Sihtasutuse serveris on viga. Palun <a href="javascript:" onclick="RefreshPage(); return false">proovi uuesti</a>.</p>
    <p>Lisa infot võid saada kanalist <a href="irc://chat.freenode.net/wikipedia">#wikipedia</a> <a href="//www.freenode.net">FreeNoden IRC-võrgust</a>.</p>
    <p>Kui soovite mittetulunduslikku Wikimedia Sihtasutust aidata, siis palun <a href="//wikimediafoundation.org/wiki/Annetused">tehke annetus</a>.</p>
    <hr noshade="noshade" size="1px" width="80%"/>
    <div class="TechnicalStuff">
     Kui teatate sellest veast Wikimedia süsteemiadministraatoritele, siis palun pange kaasa alltoodud üksikasjad.<br/>
    </div>
   </div>

   <div id="fa" lang="fa" class="RightToLeft">
    <div id="fa_head">
     <hr noshade="noshade" size="1px" width="100%"/>
     <h3 class="LanguageHeading">
      <a name="Persian">
       فارسی
      </a>
     </h3>
    </div>
    <p>کارسازهای ما در حال حاضر با مشکلی فنی مواجه هستند. این مشکل موقتی است و به‌زودی برطرف خواهد شد. لطفاً دقایقی دیگر <a href="javascript:" onclick="RefreshPage(); return false">دوباره تلاش کنید</a>.</p>
    <p>احتمالاً با مراجعه به کانال <a href="irc://chat.freenode.net/wikipedia" dir="auto">#wikipedia</a> در <a href="//www.freenode.net">شبکهٔ آی‌آرسی فری‌نود</a> می‌توانید اطلاعات بیشتری در این رابطه کسب کنید.</p>
    <p>بنیاد ویکی‌مدیا سازمانی ناسودبر است که تعدادی از محبوب‌ترین وب‌گاه‌های اینترنتی از جمله ویکی‌پدیا را میزبانی می‌کند. این بنیاد دائماً نیازمند سخت‌افزارهای جدید است. در صورت تمایل مبلغی <a href="//wikimediafoundation.org/wiki/Fundraising">اهدا کنید</a>.</p>
    <hr noshade="noshade" size="1px" width="80%"/>
    <div class="TechnicalStuff" style="font-style:normal">
	 اگر این خطا را به مدیریت سامانهٔ ویکی‌مدیا گزارش می‌کنید، خواهشمندیم جزئیات زیر را نیز در پیام خود ارسال کنید.<br/>
    </div>
   </div>

   <div id="fi" lang="fi">
    <div id="fi_head">
     <hr noshade="noshade" size="1px" width="100%"/>
     <h3 class="LanguageHeading">
      <a name="Finnish">
       Suomi
      </a>
     </h3>
    </div>
    <p>Wikimedia-säätiön palvelimilla on tapahtunut virhe. <a href="javascript:" onclick="RefreshPage(); return false">Yritä uudelleen</a> hetken kuluttua.</p>
    <p>Lisätietoja saa <a href="//www.freenode.net">Freenode</a>-verkon IRC-kanavalta <a href="irc://chat.freenode.net/wikipedia-fi">#wikipedia-fi</a>.</p>
    <p>Jos haluat auttaa voittoa tavoittelematonta Wikimedia-säätiötä, tee <a href="//wikimediafoundation.org/wiki/Lahjoitukset">lahjoitus</a>.</p>
    <hr noshade="noshade" size="1px" width="80%"/>
    <div class="TechnicalStuff">
     Jos ilmoitat tästä virheestä Wikimedian ylläpitäjille, liitä mukaan alla olevat tiedot.<br/>
    </div>
   </div>

   <div id="fr" lang="fr">
    <div id="fr_head">
     <hr noshade="noshade" size="1px" width="100%"/>
     <h3 class="LanguageHeading">
      <a name="French">
       Français
      </a>
     </h3>
    </div>
    <p>Les serveurs de la Fondation Wikimedia ont détecté une erreur. Merci de patienter quelques minutes avant de <a href="javascript:" onclick="RefreshPage(); return false">réessayer</a>.</p>
    <p>Pour de plus amples informations, veuillez visiter le canal <a href="irc://chat.freenode.net/wikipedia-fr">#wikipedia-fr</a> du réseau <a href="//www.freenode.net">IRC freenode</a>.</p>
    <p>Si vous voulez aider la fondation Wikimedia, à but non lucratif, qui fait fonctionner Wikipédia, vous pouvez <a href="//wikimediafoundation.org/wiki/Faire_un_don">faire un don</a>.</p>
    <hr noshade="noshade" size="1px" width="80%"/>
    <div class="TechnicalStuff">
     Si vous signalez cette erreur aux administrateurs système de Wikimedia, veuillez indiquer les détails ci-dessous.<br/>
    </div>
   </div>

   <div id="he" lang="he" class="RightToLeft">
    <div id="he_head">
     <hr noshade="noshade" size="1px" width="100%"/>
     <h3 class="LanguageHeading">
      <a name="Hebrew">
       עברית
      </a>
     </h3>
    </div>
    <p>עקב בעיה ×˜×›× ×™×ª בשרתי קרן ויקימדיה, האתרים ×”×ž××•×—×¡× ×™× בהם ××™× × ×–×ž×™× ×™×.</p>
    <p>הבעיה היא ככל ×”× ×¨××” ×–×ž× ×™×ª ×•×× ×• מקווים שתפתר במהרה. ×× × <a href="javascript:" onclick="RefreshPage(); return false">× ×¡×• ×©× ×™×ª</a> בעוד מספר דקות.</p>
    <p>אם ×‘×¨×¦×•× ×›× לעזור לקרן ויקימדיה הפועלת ללא מטרת רווח, באפשרותכם <a href="//wikimediafoundation.org/wiki/%D7%AA%D7%A8%D7%95%D7%9E%D7%95%D7%AA">לתרום לה</a>.</p>
    <hr noshade="noshade" size="1px" width="80%"/>
    <div class="TechnicalStuff" style="font-style:normal">
     אם תרצו לדווח על השגיאה ×œ×ž× ×”×œ×™ המערכת של ויקימדיה, ×× × הקפידו לכלול את הפרטים שלהלן.<br/>
    </div>
   </div>

   <div id="id" lang="id">
    <div id="id_head">
     <hr noshade="noshade" size="1px" width="100%"/>
     <h3 class="LanguageHeading">
      <a name="Indonesian">
       Bahasa Indonesia
      </a>
     </h3>
    </div>
    <p>Server Yayasan Wikimedia sedang mengalami masalah untuk sementara waktu. Silahkan <a href="javascript:" onclick="RefreshPage(); return false">coba beberapa saat lagi</a>.</p>
    <p>Anda bisa mendapatkan informasi lebih lanjut dari <a href="irc://chat.freenode.net/wikipedia">#wikipedia</a> channel di <a href="//www.freenode.net">Freenode IRC network</a>.</p>
    <p>Wikimedia adalah yayasan nirlaba, jika Anda ingin membantu, silahkan <a href="//wikimediafoundation.org/wiki/Penggalangan_dana">berikan donasi</a> Anda.</p>
    <hr noshade="noshade" size="1px" width="80%"/>
    <div class="TechnicalStuff">
     Jika Anda melaporkan kesalahan ini kepada Pengurus Sistem Wikimedia, harap cantumkan detil berikut.<br/>
    </div>
   </div>

   <div id="it" lang="it">
    <div id="it_head">
     <hr noshade="noshade" size="1px" width="100%"/>
     <h3 class="LanguageHeading">
      <a name="Italian">
       Italiano
      </a>
     </h3>
    </div>
    <p>I server della Wikimedia Foundation hanno al momento qualche problema tecnico. Per favore, <a href="javascript:" onclick="RefreshPage(); return false">riprova</a> tra qualche minuto.</p>
    <p>Per ulteriori informazioni puoi visitare il canale <a href="irc://chat.freenode.net/wikipedia-it">#wikipedia-it</a> sulla rete IRC di <a href="//www.freenode.net">FreeNode</a>.</p>
    <p>Se vorrai aiutarci con <a href="//wikimediafoundation.org/wiki/Donazioni">una donazione</a>, te ne saremo grati.</p>
    <hr noshade="noshade" size="1px" width="80%"/>
    <div class="TechnicalStuff">
     Includi i seguenti dettagli se segnali questo errore agli amministratori di sistema di Wikimedia.<br/>
    </div>
   </div>

   <div id="ja" lang="ja">
    <div id="ja_head">
     <hr noshade="noshade" size="1px" width="100%"/>
     <h3 class="LanguageHeading">
      <a name="Japanese">
       日本語
      </a>
     </h3>
    </div>
    <p>現在、ウィキメディア財団のサーバに技術的な問題が発生しています。</p>
    <p>問題は一時的なものでまもなく回復する見込みです。しばらくしてから<a href="javascript:" onclick="RefreshPage(); return false">もう一度接続してみてください</a>。</p>
    <p>è©³ã—ã„æƒ…å ±ã¯ <a href="//www.freenode.net">Freenode</a> の IRC チャンネル<a href="irc://chat.freenode.net/wikipedia-ja">#wikipedia-ja</a>をご覧下さい。</p>
    <hr noshade="noshade" size="1px" width="80%"/>
    <div class="TechnicalStuff" style="font-style:normal">
     ã“ã®ã‚¨ãƒ©ãƒ¼ã‚’ã‚¦ã‚£ã‚­ãƒ¡ãƒ‡ã‚£ã‚¢ã®ã‚·ã‚¹ãƒ†ãƒ ç®¡ç†è€…ã«å ±å‘Šã™ã‚‹éš›ã¯ã€æ¬¡ã«è¡¨ç¤ºã•ã‚Œã‚‹ã‚¨ãƒ©ãƒ¼ã®è©³ç´°ã‚‚ã‚ã‚ã›ã¦ãŠçŸ¥ã‚‰ã›ãã ã•ã„ã€‚<br/>
    </div>
   </div>

   <div id="ko" lang="ko">
    <div id="ko_head">
     <hr noshade="noshade" size="1px" width="100%"/>
     <h3 class="LanguageHeading">
      <a name="Korean">
       한국어
      </a>
     </h3>
    </div>
    <p>현재 위키미디어 재단의 서버에 ê¸°ìˆ ì  ë¬¸ì œê°€ 생겼습니다. 몇 분 뒤에 <a href="javascript:" onclick="RefreshPage(); return false">다시</a> 시도해 보십시오.</p>
    <p>자세한 ì •ë³´ë¥¼ ì›í•˜ì‹ ë‹¤ë©´ <a href="//www.freenode.net">FreeNode의</a> <a href="irc://chat.freenode.net/wikipedia-ko">#wikipedia-ko</a> 채널이나 <a href="//www.hanirc.org">HanIRC의</a> <a href="irc://secure.hanirc.org/wikipedia">#wikipedia</a> 채널으로 오십시오.</p>
    <p>비영리 위키미디어 재단을 ë•ê³  싶다면, <a href="//wikimediafoundation.org/wiki/%EA%B8%B0%EB%B6%80%EC%95%88%EB%82%B4">기부하세요</a>.</p>
    <hr noshade="noshade" size="1px" width="80%"/>
    <div class="TechnicalStuff" style="font-style:normal">
     위키미디어 시스템 관리자에게 오류를 ë³´ê³ í•  때에는 다음 사항도 기재해 주세요.<br/>
    </div>
   </div>

   <div id="nl" lang="nl">
    <div id="nl_head">
     <hr noshade="noshade" size="1px" width="100%"/>
     <h3 class="LanguageHeading">
      <a name="Dutch">
       Nederlands
      </a>
     </h3>
    </div>
    <p>Onze servers hebben op dit moment een technisch probleem. Dit is waarschijnlijk tijdelijk en wordt zo snel mogelijk verholpen. <a href="javascript:" onclick="RefreshPage(); return false">Probeer het opnieuw</a> over enkele minuten.</p>
    <p>Voor meer informatie kunt u terecht op het kanaal <a href="irc://chat.freenode.net/wikipedia-nl">#wikipedia-nl</a> op het <a href="//www.freenode.net">FreeNode IRC-netwerk</a>.</p>
    <p>De Wikimedia Foundation is een organisatie zonder winstoogmerk die enkele van de meest populaire sites op Internet beheert, waaronder Wikipedia. We moeten continu nieuwe hardware bijkopen. Indien u wilt helpen, doe dan alstublieft een <a href="//wikimediafoundation.org/wiki/Giften">donatie</a>.</p>
    <hr noshade="noshade" size="1px" width="80%"/>
    <div class="TechnicalStuff">
     Indien u deze fout meldt aan de systeembeheerders van Wikimedia Foundation, vermeld dan alstublieft onderstaande details.<br/>
    </div>
   </div>

   <div id="no" lang="no">
    <div id="no_head">
     <hr noshade="noshade" size="1px" width="100%"/>
     <h3 class="LanguageHeading">
      <a name="Norwegian">
       Norsk (Bokmål)
      </a>
     </h3>
    </div>
    <p>Wikimedia foundations servere har funnet en feil. <a href="javascript:" onclick="RefreshPage(); return false">Prøv på nytt</a> litt senere.</p>
    <p>For mer informasjon, besøk kanalen <a href="irc://chat.freenode.net/wikipedia-no">#wikipedia-no</a>.</p>
    <p>Gjerne gi en <a href="//wikimediafoundation.org/wiki/Innsamling_%28nb%29">donasjon</a> til Wikimedia Foundation.</p>
    <hr noshade="noshade" size="1px" width="80%"/>
    <div class="TechnicalStuff">
     Hvis du rapporterer denne feilen til Wikimedias systemadministratorer, vennligst ta med detaljene fra denne siden.<br/>
    </div>
   </div>

   <div id="pl" lang="pl">
    <div id="pl_head">
     <hr noshade="noshade" size="1px" width="100%"/>
     <h3 class="LanguageHeading">
      <a name="Polish">
       Polski
      </a>
     </h3>
    </div>
    <p>Serwery Fundacji Wikimedia mają w tej chwili problemy techniczne. <a href="javascript:" onclick="RefreshPage(); return false">Spróbuj ponownie później</a>.</p>
    <p>W celu uzyskania dokładniejszych informacji możesz odwiedzić kanał <a href="irc://chat.freenode.net/wikipedia-pl">#wikipedia-pl</a> na sieci IRC <a href="//www.freenode.net">FreeNode</a>.</p>
    <p>Jeśli chcesz pomóc Fundacji Wikimedia możesz <a href="//wikimediafoundation.org/wiki/Dary_pieni%C4%99%C5%BCne">złożyć darowiznę</a>.</p>
    <hr noshade="noshade" size="1px" width="80%"/>
    <div class="TechnicalStuff">
     Jeśli zamierzasz zgłosić ten błąd administratorom Fundacji Wikimedia załącz także poniższe szczegóły.<br/>
    </div>
   </div>

   <div id="pt" lang="pt">
    <div id="pt_head">
     <hr noshade="noshade" size="1px" width="100%"/>
     <h3 class="LanguageHeading">
      <a name="Portuguese">
       Português
      </a>
     </h3>
    </div>
    <p>Os servidores da Fundação Wikimedia estão com dificuldades técnicas. Por favor, <a href="javascript:" onclick="RefreshPage(); return false">tente novamente</a> dentro de alguns minutos.</p>
    <p>Para mais informações, pode tentar o canal <a href="irc://chat.freenode.net/wikipedia-pt">#wikipedia-pt</a> na rede de <a href="//www.freenode.net">IRC FreeNode</a>.</p>
    <p>Se você gostaria de ajudar a Fundação Wikimedia, uma organização sem fins lucrativos, por favor <a href="//wikimediafoundation.org/wiki/Coleta_de_fundos">faça uma doação</a>.</p>
    <hr noshade="noshade" size="1px" width="80%"/>
    <div class="TechnicalStuff">
     Se você informar esse erro para os administradores do sistema da Wikimedia, por favor indique os detalhes seguintes.<br/>
    </div>
   </div>

   <div id="ro" lang="ro">
    <div id="ro_head">
     <hr noshade="noshade" size="1px" width="100%"/>
     <h3 class="LanguageHeading">
      <a name="Romanian">
       Română
      </a>
     </h3>
    </div>
    <p>Serverele Fundaţiei Wikimedia întâmpină în acest moment dificultăţi tehnice. Vă rugăm să <a href="javascript:" onclick="RefreshPage(); return false">încercaţi din nou</a> în câteva minute.</p>
    <p>Pentru mai multe informaţii vizitaţi canalul <a href="irc://chat.freenode.net/ro.wikipedia">#ro.wikipedia</a> pe reţeaua <a href="//www.freenode.net">FreeNode IRC</a>.</p>
    <p>Dacă doriţi să ajutaţi Fundaţia non-profit Wikimedia, vă rugăm să <a href="//wikimediafoundation.org/wiki/Dona%C5%A3ii">faceţi o donaţie</a>.</p>
    <hr noshade="noshade" size="1px" width="80%"/>
    <div class="TechnicalStuff">
     Dacă raportaţi această eroare administratorilor de sistem ai Wikimedia, vă rugăm includeţi detaliile de mai jos.<br/>
    </div>
   </div>

   <div id="ru" lang="ru">
    <div id="ru_head">
     <hr noshade="noshade" size="1px" width="100%"/>
     <h3 class="LanguageHeading">
      <a name="Russian">
       Русский
      </a>
     </h3>
    </div>
    <p>На серверах фонда «Викимедиа» возникли технические трудности. Проблема, скорее всего, носит временный характер и вскоре будет устранена. Пожалуйста, попробуйте <a href="javascript:" onclick="RefreshPage(); return false">обновить страницу</a> через несколько минут.</p>
    <p>Дополнительную информацию можно получить посетив IRC-канал <a href="irc://chat.freenode.net/wikipedia-ru">#wikipedia-ru</a> сети <a href="//www.freenode.net">«Freenode»</a>.</p>
    <p>Фонд «Викимедиа» (Wikimedia Foundation) — некоммерческая организация, размещающая и обслуживающая несколько наиболее популярных в Интернете сайтов, в том числе — Википедию. Фонд испытывает постоянную потребность в приобретении нового оборудования. Вы можете помочь, <a href="//wikimediafoundation.org/wiki/Сбор_средств">сделав пожертвование</a>.</p>
    <hr noshade="noshade" size="1px" width="80%"/>
    <div class="TechnicalStuff">
     Если вы решите сообщить об ошибке нашему системному администратору, пожалуйста, передайте ему следующую техническую информацию.<br/>
    </div>
   </div>

   <div id="sr" lang="sr">
    <div id="sr_head">
     <hr noshade="noshade" size="1px" width="100%"/>
     <h3 class="LanguageHeading">
      <a name="Serbian">
       Српски
      </a>
     </h3>
    </div>
    <p>Сервери Викимедијине Задужбине тренутно имају техничке потешкоће. Молимо вас <a href="javascript:" onclick="RefreshPage(); return false">покушајте</a> касније.</p>
    <p>За даље информације, можете да посетите канал <a href="irc://chat.freenode.net/wikipedia-sr">#wikipedia-sr</a> на <a href="//www.freenode.net">FreeNode</a> ИРЦ мрежи.</p>
    <p>Ако бисте желели да помогнете непрофитабилној Фондацији Викимедије, можете то урадити <a href="//wikimediafoundation.org/wiki/%D0%94%D0%BE%D0%BD%D0%B0%D1%86%D0%B8%D1%98%D0%B5">донацијом</a>.</p>
    <hr noshade="noshade" size="1px" width="80%"/>
    <div class="TechnicalStuff">
     Ако одлучите да пријавите ову грешку Викимедијиним системским администраторима, молимо вас да укључите и детаље приказане испод.<br/>
    </div>
   </div>

   <div id="sv" lang="sv">
    <div id="sv_head">
     <hr noshade="noshade" size="1px" width="100%"/>
     <h3 class="LanguageHeading">
      <a name="Swedish">
       Svenska
      </a>
     </h3>
    </div>
    <p>Wikimedias servrar har för tillfället tekniska problem. Du kan <a href="javascript:" onclick="RefreshPage(); return false">försöka igen</a> om någon minut.</p>
    <p>För mer information kan du besöka <a href="irc://chat.freenode.net/wikipedia-sv">#wikipedia-sv</a> på <a href="//www.freenode.net">FreeNode IRC</a>.</p>
    <p>Önskar du stödja den ideella Wikimedia Foundation, <a href="//wikimediafoundation.org/wiki/Insamling">var god lämna ett bidrag</a>.</p>
    <hr noshade="noshade" size="1px" width="80%"/>
    <div class="TechnicalStuff">
     Om du rapporterar detta fel till Wikimedias systemadministratörer, var god inkludera detaljerna nedan.<br/>
    </div>
   </div>

   <div id="th" lang="th">
    <div id="th_head">
     <hr noshade="noshade" size="1px" width="100%"/>
     <h3 class="LanguageHeading">
      <a name="Thai">
       ไทย
      </a>
     </h3>
    </div>
    <p>เซิร์ฟเวอร์ขององค์กรวิกิมีเดียขณะนี้ ไม่สามารถถูกเรียกใช้งานได้</p>
    <p>กรุณาลองเข้ามาในเว็บใหม่อีกครั้ง ปัญหาที่เกิดขึ้นเป็นปัญหาชั่วคราว ซึ่งจะได้รับการแก้ไขในไม่ช้า</p>
    <hr noshade="noshade" size="1px" width="80%"/>
    <div class="TechnicalStuff" style="font-style:normal">
     หากคุณกำลังจะรายงานข้อผิดพลาดนี้ไปยังผู้ดูแลระบบของวิกิมีเดีย กรุณาระบุรายละเอียดด้านล่างนี้ไปด้วย<br/>
    </div>
   </div>

   <div id="tr" lang="tr">
    <div id="tr_head">
     <hr noshade="noshade" size="1px" width="100%"/>
     <h3 class="LanguageHeading">
      <a name="Turkish">
       Türkçe
      </a>
     </h3>
    </div>
    <p>Vıkımedya Vakfı sunucuları bir hataya rastladı. Lütfen daha sonra <a href="javascript:" onclick="RefreshPage(); return false">tekrar deneyiniz</a>.</p>
    <p>Daha fazla bilgi için <a href="//www.freenode.net">Freenode</a> IRC ağındaki <a href="irc://chat.freenode.net/wikipedia-tr">#wikipedia-tr</a> kanalını ziyaret ediniz.</p>
    <p>Kâr amacı gütmeyen Vikimedya Vakfına yardımcı olmak istiyorsanız lütfen <a href="//wikimediafoundation.org/wiki/Ba%C4%9F%C4%B1%C5%9F">bağışta bulununuz</a>.</p>
    <hr noshade="noshade" size="1px" width="80%"/>
    <div class="TechnicalStuff">
     Eğer bu hatayı Vikimedya sunucu yöneticilerine rapor etmek istiyorsanız lütfen aşağıdaki detayları belirtiniz.<br/>
    </div>
   </div>

   <div id="vi" lang="vi">
    <div id="vi_head">
     <hr noshade="noshade" size="1px" width="100%"/>
     <h3 class="LanguageHeading">
      <a name="Vietnamese">
       Tiếng Việt
      </a>
     </h3>
    </div>
    <p>Các máy chủ của Quỹ Hỗ Trợ Wikimedia gặp lỗi. Xin hãy <a href="javascript:" onclick="RefreshPage(); return false">thử lần nữa</a>.</p>
    <p>Để biết thêm chi tiết, hãy ghé và o đà i <a href="irc://chat.freenode.net/wikipedia">#wikipedia</a> trên mạng IRC <a href="//www.freenode.net">Freenode</a>.</p>
    <p>Có thể giúp đỡ Quỹ Wikimedia, một tổ chức bất vụ lợi, bằng cách quyên góp.</p>
    <hr noshade="noshade" size="1px" width="80%"/>
    <div class="TechnicalStuff">
     Nếu gửi lỗi nà y cho nhóm quản lý máy móc Wikimedia, xin bao gồm những chi tiết ở dưới.<br/>
    </div>
   </div>

   <div id="zh-Hant" lang="zh-Hant">
    <div id="zh-Hant_head">
     <hr noshade="noshade" size="1px" width="100%"/>
     <h3 class="LanguageHeading">
      <a name="TraditionalChinese">
       繁體中文
      </a>
     </h3>
    </div>
    <p>維基媒體基金會伺服器現在發生技術問題。</p>
    <p>此問題應為暫時狀況,我們將盡快修復,<a href="javascript:" onclick="RefreshPage(); return false">請稍後再試</a>。</p>
    <p>如果您願意協助非營利的維基媒體基金會,請考慮<a href="//wikimediafoundation.org/wiki/%E8%B5%84%E5%8A%A9">捐款資助</a>。</p>
    <hr noshade="noshade" size="1px" width="80%"/>
    <div class="TechnicalStuff" style="font-style:normal">
     å¦‚æ¬²åŒ¯å ±æ­¤éŒ¯èª¤äºˆç¶­åŸºåª’é«”çš„ç³»çµ±ç®¡ç†å“¡ï¼Œè«‹é™„ä¸Šä»¥ä¸‹è©³ç´°è³‡æ–™ã€‚<br/>
    </div>
   </div>

   <div id="zh-Hans" lang="zh-Hans">
    <div id="zh-Hans_head">
     <hr noshade="noshade" size="1px" width="100%"/>
     <h3 class="LanguageHeading">
      <a name="SimplifiedChinese">
       简体中文
      </a>
     </h3>
    </div>
    <p>维基媒体基金会服务器现在发生技术问题。</p>
    <p>此问题应为暂时状况,我们将尽快修复,<a href="javascript:" onclick="RefreshPage(); return false">请稍后再试</a>。</p>
    <p>如果您愿意协助非营利的维基媒体基金会,请考虑<a href="//wikimediafoundation.org/wiki/%E8%B5%84%E5%8A%A9">捐款资助</a>。</p>
    <hr noshade="noshade" size="1px" width="80%"/>
    <div class="TechnicalStuff" style="font-style:normal">
     如欲汇报此错误予维基媒体的系统管理员,请附上以下详细数据。<br/>
    </div>
   </div>

   <!-- Technical details of the error; shows all the time, with any language -->
   <div class="TechnicalStuff">
    <bdo dir="ltr">
        503 Service Temporarily Unavailable
    </bdo>
    <div id="AdditionalTechnicalStuff"></div>
   </div>
  </div>

  <!-- Shadow-style gradient -->
  <div class="Lines" style="background-color:#f4f4f4;"></div>
  <div class="Lines" style="background-color:#eaeaea;"></div>
  <div class="Lines" style="background-color:#dbdbdb;"></div>
  <div class="Lines" style="background-color:#c6c6c6;"></div>
  <div class="Lines" style="background-color:#acacac;"></div>
  <div class="Lines" style="background-color:#dbe5df;"></div>

  <!-- The top row of the language links at the foot of the page -->
  <div class="BottomStrip">
   <a href="#Arabic" class="BottomLinks" id="ar_link" onclick="ShowLanguage('ar')">العربية</a>
   <a href="#Indonesian" class="BottomLinks" id="id_link" onclick="ShowLanguage('id')">Bahasa Indonesia</a>
   <a href="#Czech" class="BottomLinks" id="cs_link" onclick="ShowLanguage('cs')">Česky</a>
   <a href="#Danish" class="BottomLinks" id="da_link" onclick="ShowLanguage('da')">Dansk</a>
   <a href="#German" class="BottomLinks" id="de_link" onclick="ShowLanguage('de')">Deutsch</a>
   <a href="#Estonian" class="BottomLinks" id="et_link" onclick="ShowLanguage('et')">Eesti</a>
   <a href="#Greek" class="BottomLinks" id="el_link" onclick="ShowLanguage('el')">Ελληνικά</a>
   <a href="#English" class="BottomLinks" id="en_link" onclick="ShowLanguage('en')">English</a>
   <a href="#Spanish" class="BottomLinks" id="es_link" onclick="ShowLanguage('es')">Español</a>
   <a href="#Persian" class="BottomLinks" id="fa_link" onclick="ShowLanguage('fa')">فارسی</a>
   <a href="#French" class="BottomLinks" id="fr_link" onclick="ShowLanguage('fr')">Français</a>
   <a href="#Korean" class="BottomLinks" id="ko_link" onclick="ShowLanguage('ko')">한국어</a>
   <a href="#Italian" class="BottomLinks" id="it_link" onclick="ShowLanguage('it')">Italiano</a>
   <a href="#Hebrew" class="BottomLinks" id="he_link" onclick="ShowLanguage('he')">עברית</a>
   <a href="#Dutch" class="BottomLinks" id="nl_link" onclick="ShowLanguage('nl')">Nederlands</a>
  </div>

  <!-- Shadow-style gradient -->
  <div class="Lines" style="background-color:#9d9fa1;"></div>
  <div class="Lines" style="background-color:#a8aeb4;"></div>
  <div class="Lines" style="background-color:#b4bec6;"></div>
  <div class="Lines" style="background-color:#c0ced8;"></div>

  <!-- The bottom row of the language links at the foot of the page -->
  <div style="text-align:center; font-size:0.85em;background:#cbddeb;">
   <a href="#Japanese" class="BottomLinks" id="ja_link" onclick="ShowLanguage('ja')">日本語</a>
   <a href="#Norwegian" class="BottomLinks" id="no_link" onclick="ShowLanguage('no')">Norsk (Bokmål)</a>
   <a href="#Polish" class="BottomLinks" id="pl_link" onclick="ShowLanguage('pl')">Polski</a>
   <a href="#Portuguese" class="BottomLinks" id="pt_link" onclick="ShowLanguage('pt')">Português</a>
   <a href="#Romanian" class="BottomLinks" id="ro_link" onclick="ShowLanguage('ro')">Română</a>
   <a href="#Russian" class="BottomLinks" id="ru_link" onclick="ShowLanguage('ru')">Русский</a>
   <a href="#Serbian" class="BottomLinks" id="sr_link" onclick="ShowLanguage('sr')">Српски</a>
   <a href="#Finnish" class="BottomLinks" id="fi_link" onclick="ShowLanguage('fi')">Suomi</a>
   <a href="#Swedish" class="BottomLinks" id="sv_link" onclick="ShowLanguage('sv')">Svenska</a>
   <a href="#Thai" class="BottomLinks" id="th_link" onclick="ShowLanguage('th')">ไทย</a>
   <a href="#Vietnamese" class="BottomLinks" id="vi_link" onclick="ShowLanguage('vi')">Tiếng Việt</a>
   <a href="#Turkish" class="BottomLinks" id="tr_link" onclick="ShowLanguage('tr')">Türkçe</a>
   <a href="#TraditionalChinese" class="BottomLinks" id="zh-Hant_link" onclick="ShowLanguage('zh-Hant')">繁體中文</a>
   <a href="#SimplifiedChinese" class="BottomLinks" id="zh-Hans_link" onclick="ShowLanguage('zh-Hans')">简体中文</a>
  </div>

  <!-- Shadow-style gradient -->
  <div class="Lines" style="background-color:#9ea09f;"></div>
  <div class="Lines" style="background-color:#adb1af;"></div>
  <div class="Lines" style="background-color:#bdc3bf;"></div>
  <div class="Lines" style="background-color:#ccd4cf;"></div>

 </body>
</html>


key "parse" not known in dictionary
    while executing
"dict get [json::json2dict $json] {*}$args"
    (procedure "get" line 2)
    invoked from within
"get [post $wiki {*}$parse / page $title / prop templates] parse templates"
    invoked from within
"if [dict exists $prop categories] {
            set cats [lmap cats [dict get $prop categories] {dict get $cats title}]
            if ![string match ..."
    (body of "dict with")
    invoked from within
"dict with item {
         lassign {} vcats svcats
         set prop [page [post $wiki {*}$query / titles $title / prop categories / clshow !hidden]]
 ..."
    ("foreach" body line 2)
    invoked from within
"foreach item [embeddedin $ret1] {
      dict with item {
         lassign {} vcats svcats
         set prop [page [post $wiki {*}$query / titles $titl..."
    ("uplevel" body line 3)
    invoked from within
"uplevel [lindex $lambda 1]"
    ("do" body line 3)
    invoked from within
"do {
               set ret [post $wiki {*}$args / continue $cont / {*}$cont2]
               uplevel [lindex $lambda 1]
        } until {[catch {
   ..."
    (procedure "cont" line 5)
    invoked from within
"cont {ret1 {
#   global wiki query get parse
   foreach item [embeddedin $ret1] {
      dict with item {
         lassign {} vcats svcats
         set..."
    (file "/data/project/taxonbot/c-uncat.tcl" line 24)
bd808 added a subscriber: bd808.Jan 19 2016, 11:59 PM

But the script is running on tools.taxonbot ...

The 503 status response is sent by the Varnish servers that sit in front of the MediaWiki servers which process API requests. Your problem isn't likely to be specific to Labs or Tool Labs but instead either an API request that takes longer to process than Varnish is willing to wait or some other error on the server side.

I hope you can fix that problem soon, because I need a stable API to fulfill the script jobs. It makes me angry to restart the jobs again and again.

Well, you could add a check if the API response is valid json. If not, you should repeat the request after a reasonable timespan.

I hope you can fix that problem soon, because I need a stable API to fulfill the script jobs. It makes me angry to restart the jobs again and again.

If your code is assuming that all responses from the backing server will be exactly what you hoped for with no error handling I think you are in for a long time of sadness. Nobody wants the servers to have problems but it happens.

In general your scripts should validate both the HTTP response code and the payload before moving on. As for how to handle errors, that varies quite a bit depending on the kind of work being done. One possibility would be to requeue failed requests by appending them back to the end of your list of things to do and then processing them again when you get to the end of the list. More robust error handling would ensure that there is a reasonable backoff before retrying a given request and a hard abort after some reasonable number of retries (3-5?).

Anomie closed this task as Invalid.Jan 20 2016, 3:39 AM
Anomie claimed this task.
Anomie added a subscriber: Anomie.

It sounds like the bottom line here is random intermittent failures being reported from the varnish layer. If you have a query that reliably reproduces a problem, please file a new bug report with the specific query involved, and you can omit the huge dumps of the error page HTML in favor of just the bit that it tells you to report.

Restricted Application added a subscriber: Cosine02. · View Herald TranscriptJun 7 2017, 6:44 PM